Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I'm trying to run apt-get update and apt-get install emacs23, but I keep getting errors saying either

E: Unable to fetch some archives, maybe run apt-get update or try with --fix missing?

Running apt-get update gives the same result. In some cases, it will say Unable to get some archives. What can I do to fix this?

share|improve this question
1  
Have you run apt-get -f? how are you connected to the internet? –  Uri Herrera Jun 3 '12 at 3:05
    
I connected my computer to my router via ethernet. My other devices are connected the same way, albeit the 'nix box didn't ask for any password. Additionally, I'm kind of new to UNIX, and don't entirely understand how to connect to a network. –  Jules Mazur Jun 3 '12 at 3:38
    
could you provide us the complete output ? –  AgentCool Jun 3 '12 at 3:55
    
The output for apt-get install emacs23 is the following:</ br> Failed to fetch http://us.archive.ubuntu.com/ubuntu/pool/main/i/ispell/ispell3.3.02-5_amd64.deb Could not resolve "us.archive.ubuntu.com"</ br> Except, this happens dozens of times, seemingly for all files. –  Jules Mazur Jun 3 '12 at 16:44
1  
This remarkably very similar to askubuntu.com/q/145670/32290 –  tumbleweed Jun 5 '12 at 1:09

1 Answer 1

Could not resolve "us.archive.ubuntu.com"

That sounds like you don't have working Internet connectivity at all. Or at least, broken DNS.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.